> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Members

> Removes members from a group.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| RoleDoesNotExist | 1358 |




## OpenAPI

````yaml /services/playfab/api-references/rest/groups/groups.openapi.json post /Group/RemoveMembers
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Groups API
  description: >-
    The Groups API is designed for any permanent or semi-permanent collections
    of Entities (players, or non-players). If you want to make
    Guilds/Clans/Corporations/etc., then you should use groups. Groups can also
    be used to make chatrooms, parties, or any other persistent collection of
    entities.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Groups
    description: Groups Management APIs
paths:
  /Group/RemoveMembers:
    post:
      tags:
        - Groups
      summary: Remove Members
      description: |
        Removes members from a group.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | RoleDoesNotExist | 1358 |
      operationId: RemoveMembers
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveMembersRequest'
        description: >-
          Removes members from a group. A member can always remove themselves
          from a group, regardless of permissions. Returns nothing if
          successful.
      responses:
        '200':
          $ref: '#/components/responses/EmptyResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    RemoveMembersRequest:
      description: >-
        Removes members from a group. A member can always remove themselves from
        a group, regardless of permissions. Returns nothing if successful.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The identifier of the group
        Members:
          description: List of entities to remove
          type: array
          items:
            $ref: '#/components/schemas/EntityKey'
          x-isclass: true
        RoleId:
          description: The ID of the role to remove the entities from.
          type: string
      required:
        - Group
        - Members
      example:
        Group:
          Id: ABC1234ABC
        RoleId: ABC1234DEF
        Members:
          - Id: '90901000'
            Type: title_player_account
            TypeString: title_player_account
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    EmptyResponse:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Remove Member](/services/playfab/api-references/rest/multiplayer/lobby/remove-member.md)
- [Remove Members](/services/playfab/api-references/rest/groups/groups/remove-members.md)
- [Remove Shared Group Members](/services/playfab/api-references/rest/client/shared-group-data/remove-shared-group-members.md)
- [PFGroupsRemoveMembersRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupsremovemembersrequest.md)
- [Lobby.ForceRemoveMember](/services/playfab/multiplayer/lobby/unity-multiplayer-api-reference/PlayFab.Multiplayer/Lobby/ForceRemoveMember.md)
